# $Revision: 1.26 $, $Date: 2010/08/24 14:18:28 $
#
# Conditional build:
%bcond_with	gnomecontrol	# register with GNOME as a default terminal application
Summary:	ROXTerm - a terminal emulator
Summary(hu.UTF-8):	ROXTerm egy terminál emulátor
Summary(pl.UTF-8):	ROXTerm - emulator terminala
Name:		roxterm
Version:	1.18.5
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/roxterm/%{name}-%{version}.tar.gz
# Source0-md5:	b3b0a002dacab32635aa37d47ff1ff93
Patch0:		%{name}-pkgdocdir.patch
URL:		http://roxterm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.22
BuildRequires:	gettext-devel
%{?with_gnomecontrol:BuildRequires:	gnome-control-center-devel}
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	vte-devel >= 0.11.11
BuildRequires:	xmlto
Requires(post,postun):	gtk+2
Requires:	dbus
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ROXTerm is a terminal emulator intended to provide similar features to
gnome-terminal, based on the same VTE library, but with a smaller
footprint and quicker start-up time. It achieves this by not using the
GNOME libraries and by using a separate applet to provide the
configuration GUI. It can be used as a ROX application, as the name
implies, or in any other X environment.

%description -l hu.UTF-8
ROXTerm egy terminál emulátor, amely hasonló képességekkel bír, mint a
gnome-terminal. VTE alapú, de kisebb és gyorsabban indul. Nem
használja a Gnome könyvtárait és egy konfiguráló GUI-t is biztosít.
Használható ROX alkalmazásként is, mint ahogy a neve mutatatja, vagy
bármely más X környezetben.

%description -l pl.UTF-8
ROXTerm jest emulatorem terminala, który w założeniach ma być podobny
do gnome-terminala, bazować na tej samej bibliotece VTE, ale być
mniejszy i szybciej się uruchamiać. Cel ten został osiągnięty, dzięki
temu, że ROXTerm nie używa bibliotek GNOME, a do graficznego
interfejsu konfiguracyjnego używa osobnego apletu. ROXTerm - jak nazwa
wskazuje - może być używany jako aplikacja ROX. Może być również
używany z dowolnym innym środowiskiem X.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_gnomecontrol:--disable-gnome-default-applications} \
	--docdir=%{_docdir}/%{name}-%{version}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/roxterm-config
%attr(755,root,root) %{_bindir}/roxterm
%{_datadir}/%{name}
%{?with_gnomecontrol:%{_datadir}/gnome-control-center/default-apps/roxterm.xml}
%{_desktopdir}/roxterm.desktop
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*
%{_iconsdir}/hicolor/scalable/apps/roxterm.svg
%{_mandir}/man1/roxterm-config.1*
%{_mandir}/man1/roxterm.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: roxterm.spec,v $
Revision 1.26  2010/08/24 14:18:28  uzsolt
- 1.18.5

Revision 1.25  2010/06/22 06:52:52  uzsolt
- 1.18.4

Revision 1.24  2010/05/26 04:52:46  uzsolt
- 1.18.3

Revision 1.23  2010/05/13 19:43:39  uzsolt
- 1.18.2

Revision 1.22  2010/03/29 21:38:41  uzsolt
- 1.18.1

Revision 1.21  2010/01/23 09:15:14  uzsolt
- 1.17.1
- rel 1

Revision 1.20  2009/12/07 14:42:07  sparky
- BR: xmlto (required for man pages)

Revision 1.19  2009/12/07 13:54:47  dirdival
- rel. 4
- bcond_with gnomecontrol added

Revision 1.18  2009/12/07 10:01:07  duddits
- rel.3
- missing man files have been added

Revision 1.17  2009/12/06 19:15:44  sparky
- BR: gnome-control-center-devel (all that for gnome-default-applications.pc
  file)

Revision 1.16  2009/12/06 13:08:18  dirdival
- md5sum
- rel. 2

Revision 1.15  2009/12/06 12:55:15  dirdival
- updated to 1.16.3

Revision 1.14  2009/08/10 16:14:30  hawk
- release 3

Revision 1.13  2009/08/01 14:53:04  uzsolt
- fix pkgdocdir

Revision 1.12  2009/07/20 21:04:01  uzsolt
- 1.15.2

Revision 1.11  2009/07/04 09:12:03  megabajt
- release 2

Revision 1.10  2009/06/03 20:53:18  megabajt
- updated to 1.14.2

Revision 1.9  2009/01/22 16:04:31  uzsolt
- up to 1.13.5

Revision 1.8  2008/10/08 17:58:54  qboosh
- unified, pl fixes

Revision 1.7  2008/10/08 17:47:56  qboosh
- bugfix

Revision 1.6  2008/10/08 17:35:41  qboosh
- use find_lang

Revision 1.5  2008/10/04 15:17:32  uzsolt
- up to 1.13.0
- release 1

Revision 1.4  2008/08/12 14:59:34  pawelz
- pl desc and summary

Revision 1.3  2008/08/12 13:52:52  pawelz
- R: dbus

Revision 1.2  2008/08/12 11:49:04  pawelz
- --prefix=%{_prefix} is already defined by %configure macro
- %files cleanup

Revision 1.1  2008/08/12 09:31:27  uzsolt
- initial
